Subject: re: my comments on overlapping

From: Tony Skjellum <[email-masked]>
Date: Thu, 4 Feb 93 19:09:20 CST

BTW, I do not mean blocking send / blocking receive only in my comments.
I mean asynchronous reading of a specific message (aka intel irecv) going
on at the same time as processing.  The message appears in the buffer,
and one can poll for that to be complete.  In practice, message passing
does happen in background on all these systems, but the algorithms are not
explicitly using this feature, or encouraging this overlap, necessarily.
They might process messages at high priority, and only compute when message
input queues are empty.

Lennart has always repeated this warning that the overlap is only useful
from a performance sense, and therefore from the point of view of a programmer
trying to ask for this, if the system can perform better with the overlap.
I DO NOT ADVOCATE block send / block receive only.

Best wishes,
Tony

----- Begin Included Message -----